Skip to main content
GET
/
v1
/
workflowtemplates
Fetch Workflow Templates
curl --request GET \
  --url https://api.sakari.io/v1/workflowtemplates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sakari.io/v1/workflowtemplates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sakari.io/v1/workflowtemplates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "pagination": {
    "limit": 123,
    "offset": 123,
    "hasNext": true
  },
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "groups": [
        {
          "parameters": [
            {
              "label": "<string>",
              "id": "<string>",
              "helperText": "<string>",
              "link": "<string>",
              "mandatory": true,
              "args": [
                "<string>"
              ],
              "options": [
                {
                  "value": "<string>",
                  "label": "<string>"
                }
              ],
              "min": 123,
              "max": 123,
              "defaultValue": "<string>"
            }
          ],
          "label": "<string>",
          "description": "<string>"
        }
      ],
      "tags": [
        "<string>"
      ],
      "integrations": [
        {
          "name": "<string>",
          "installed": true
        }
      ]
    }
  ]
}
{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}
{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

offset
integer<int64>

Results to skip when paginating through a result set

Required range: x >= 0
limit
integer<int64>

Maximum number of results to return

Required range: 1 <= x <= 100
type
string

Type of Workflow

Response

successful operation

success
boolean
required
pagination
object
required
data
object[]